/*
 * Class UNBOUNDED [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1629 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1629 [] = {0xFF01,1551,1628,875,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1629 [] = {0xFF01,1628,875,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1629 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1629 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1629 [] = {0xFF01,1628,875,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1629 [] = {0xFF01,1628,875,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1629 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1629 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1629 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1629 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1629 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1629 [] = {1628,875,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1629 [] = {0xFF01,1628,875,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1629 [] = {0xFF01,1614,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1629 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1629[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1629), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1629), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1629), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1629), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1629), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1629), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1629), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1629), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1629), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1629), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1629), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1629), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1629), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1629), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9203, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8604, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8605, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8606, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8607, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1629), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1629), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1629(void)
{
	IDSC(desc_1629, 0, 1628);
	IDSC(desc_1629 + 1, 1, 1628);
	IDSC(desc_1629 + 32, 1134, 1628);
	IDSC(desc_1629 + 41, 554, 1628);
	IDSC(desc_1629 + 42, 878, 1628);
}


#ifdef __cplusplus
}
#endif
